petsc-3.10.5 2019-03-28
Report Typos and Errors

# PCGAMGSetRepartition

Repartition the degrees of freedom across the processors on the coarser grids

### Synopsis

    #include "petscpc.h"
    PetscErrorCode PCGAMGSetRepartition(PC pc, PetscBool n)

Collective on PC

### Input Parameters

| pc | - the preconditioner context
| n | - PETSC_TRUE or PETSC_FALSE

### Options Database Key

-pc_gamg_repartition <true,false> - Notes: this will generally improve the loading balancing of the work on each level

### See Also

()

### Level

intermediate

### Location

src/ksp/pc/impls/gamg/gamg.c

### Implementations

PCGAMGSetRepartition_GAMG in src/ksp/pc/impls/gamg/gamg.c
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages